Index: /branches/version-2_13-dev/data/class/helper/SC_Helper_Category.php
===================================================================
--- /branches/version-2_13-dev/data/class/helper/SC_Helper_Category.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/helper/SC_Helper_Category.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @param boolean $count_check 登録商品数をチェックする場合はtrue
      */
-    function __construct($count_check = FALSE)
+    public function __construct($count_check = FALSE)
     {
         $this->count_check = $count_check;
@@ -46,5 +46,5 @@
      * カテゴリーの情報を取得.
      *
-     * @param integer $category_id カテゴリーID
+     * @param  integer $category_id カテゴリーID
      * @return array
      */
@@ -67,6 +67,6 @@
      * カテゴリー一覧の取得.
      *
-     * @param boolean $cid_to_key 配列のキーをカテゴリーIDにする場合はtrue
-     * @return array カテゴリー一覧の配列
+     * @param  boolean $cid_to_key 配列のキーをカテゴリーIDにする場合はtrue
+     * @return array   カテゴリー一覧の配列
      */
     public function getList($cid_to_key = FALSE)
@@ -95,4 +95,5 @@
                 $cidIsKey[$this->count_check] = SC_Utils_Ex::makeArrayIDToKey('category_id', $arrCategory[$this->count_check]);
             }
+
             return $cidIsKey[$this->count_check];
         }
@@ -120,6 +121,6 @@
      * 親カテゴリーIDの配列を取得.
      *
-     * @param integer $category_id 起点のカテゴリーID
-     * @param boolean $id_only IDだけの配列を返す場合はtrue
+     * @param  integer $category_id 起点のカテゴリーID
+     * @param  boolean $id_only     IDだけの配列を返す場合はtrue
      * @return array
      */
Index: /branches/version-2_13-dev/data/class/helper/SC_Helper_Bloc.php
===================================================================
--- /branches/version-2_13-dev/data/class/helper/SC_Helper_Bloc.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/helper/SC_Helper_Bloc.php	(revision 23124)
@@ -33,5 +33,5 @@
     private $device_type_id = NULL;
 
-    function __construct($devide_type_id = DEVICE_TYPE_PC)
+    public function __construct($devide_type_id = DEVICE_TYPE_PC)
     {
         $this->device_type_id = $devide_type_id;
@@ -41,5 +41,5 @@
      * ブロックの情報を取得.
      *
-     * @param integer $bloc_id ブロックID
+     * @param  integer $bloc_id ブロックID
      * @return array
      */
@@ -82,5 +82,5 @@
      *
      * @param string $where
-     * @param array $sqlval
+     * @param array  $sqlval
      */
     public function getWhere($where = '', $sqlval = array())
@@ -99,5 +99,5 @@
      * ブロックの登録.
      *
-     * @param array $sqlval
+     * @param  array    $sqlval
      * @return multiple 登録成功:ブロックID, 失敗:FALSE
      */
@@ -143,4 +143,5 @@
         if (!SC_Helper_FileManager_Ex::sfWriteFile($bloc_path, $sqlval['bloc_html'])) {
             $objQuery->rollback();
+
             return false;
         }
@@ -154,5 +155,5 @@
      * ブロックの削除.
      *
-     * @param integer $bloc_id
+     * @param  integer $bloc_id
      * @return boolean
      */
@@ -185,4 +186,5 @@
         if ($is_error) {
             $objQuery->rollback();
+
             return false;
         }
Index: /branches/version-2_13-dev/data/class/helper/SC_Helper_Mail.php
===================================================================
--- /branches/version-2_13-dev/data/class/helper/SC_Helper_Mail.php	(revision 23024)
+++ /branches/version-2_13-dev/data/class/helper/SC_Helper_Mail.php	(revision 23124)
@@ -32,5 +32,5 @@
 {
     /** メールテンプレートのパス */
-    var $arrMAILTPLPATH;
+    public $arrMAILTPLPATH;
 
     /**
@@ -44,5 +44,5 @@
      * コンストラクタ.
      */
-    function __construct()
+    public function __construct()
     {
         $masterData = new SC_DB_MasterData_Ex();
@@ -57,5 +57,5 @@
      * @param LC_Page $objPage
      */
-    function setPage(LC_Page $objPage)
+    public function setPage(LC_Page $objPage)
     {
         $this->objPage = $objPage;
@@ -67,5 +67,5 @@
      * @return LC_Page
      */
-    function getPage()
+    public function getPage()
     {
         return $this->objPage;
@@ -73,5 +73,5 @@
 
     /* DBに登録されたテンプレートメールの送信 */
-    function sfSendTemplateMail($to, $to_name, $template_id, &$objPage, $from_address = '', $from_name = '', $reply_to = '', $bcc = '')
+    public function sfSendTemplateMail($to, $to_name, $template_id, &$objPage, $from_address = '', $from_name = '', $reply_to = '', $bcc = '')
     {
         // メールテンプレート情報の取得
@@ -104,5 +104,5 @@
 
     /* 受注完了メール送信 */
-    function sfSendOrderMail($order_id, $template_id, $subject = '', $header = '', $footer = '', $send = true)
+    public function sfSendOrderMail($order_id, $template_id, $subject = '', $header = '', $footer = '', $send = true)
     {
         $arrTplVar = new stdClass();
@@ -218,5 +218,5 @@
 
     // テンプレートを使用したメールの送信
-    function sfSendTplMail($to, $tmp_subject, $tplpath, &$objPage)
+    public function sfSendTplMail($to, $tmp_subject, $tplpath, &$objPage)
     {
         $objMailView = new SC_SiteView_Ex();
@@ -240,5 +240,5 @@
 
     // 通常のメール送信
-    function sfSendMail($to, $tmp_subject, $body)
+    public function sfSendMail($to, $tmp_subject, $body)
     {
         $arrInfo = SC_Helper_DB_Ex::sfGetBasisData();
@@ -255,5 +255,5 @@
 
     //件名にテンプレートを用いる
-    function sfMakeSubject($subject, &$objMailView = NULL)
+    public function sfMakeSubject($subject, &$objMailView = NULL)
     {
         if (empty($objMailView)) {
@@ -276,5 +276,5 @@
 
     // メール配信履歴への登録
-    function sfSaveMailHistory($order_id, $template_id, $subject, $body)
+    public function sfSaveMailHistory($order_id, $template_id, $subject, $body)
     {
         $sqlval = array();
@@ -297,5 +297,5 @@
 
     /* 会員登録があるかどうかのチェック(仮会員を含まない) */
-    function sfCheckCustomerMailMaga($email)
+    public function sfCheckCustomerMailMaga($email)
     {
         $col = 'email, mailmaga_flg, customer_id';
@@ -315,10 +315,10 @@
      * 登録メールを送信する。
      *
-     * @param string $secret_key 会員固有キー
-     * @param integer $customer_id 会員ID
-     * @param boolean $is_mobile false(default):PCアドレスにメールを送る true:携帯アドレスにメールを送る
+     * @param  string  $secret_key  会員固有キー
+     * @param  integer $customer_id 会員ID
+     * @param  boolean $is_mobile   false(default):PCアドレスにメールを送る true:携帯アドレスにメールを送る
      * @return boolean true:成功 false:失敗
      */
-    function sfSendRegistMail($secret_key, $customer_id = '', $is_mobile = false)
+    public function sfSendRegistMail($secret_key, $customer_id = '', $is_mobile = false)
     {
         // 会員データの取得
@@ -385,5 +385,5 @@
      * @todo   表示順も引数で変更できるように
      */
-    function sfGetMailmagaTemplate($template_id = null)
+    public function sfGetMailmagaTemplate($template_id = null)
     {
         // 初期化
@@ -413,5 +413,5 @@
      * @return　array 送信履歴情報を格納した配列
      */
-    function sfGetSendHistory($send_id = null)
+    public function sfGetSendHistory($send_id = null)
     {
         // 初期化
@@ -443,5 +443,5 @@
      * @return　void
      */
-    function sfSendMailmagazine($send_id)
+    public function sfSendMailmagazine($send_id)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
Index: /branches/version-2_13-dev/data/class/helper/SC_Helper_FPDI.php
===================================================================
--- /branches/version-2_13-dev/data/class/helper/SC_Helper_FPDI.php	(revision 22778)
+++ /branches/version-2_13-dev/data/class/helper/SC_Helper_FPDI.php	(revision 23124)
@@ -9,5 +9,5 @@
 {
     /** SJIS 変換を有効とするか */
-    var $enable_conv_sjis = true;
+    public $enable_conv_sjis = true;
 
     /**
@@ -16,5 +16,5 @@
      * @return void
      */
-    function AddSJISFont()
+    public function AddSJISFont()
     {
         parent::AddSJISFont();
@@ -25,5 +25,5 @@
     }
 
-    function SJISMultiCell()
+    public function SJISMultiCell()
     {
         $arrArg = func_get_args();
@@ -45,5 +45,5 @@
      * FIXME: 後の列の高さが大きい場合、表示が乱れる。
      */
-    function FancyTable($header, $data, $w)
+    public function FancyTable($header, $data, $w)
     {
         $base_x = $this->x;
@@ -95,10 +95,10 @@
     }
 
-    function Text($x, $y, $txt)
+    public function Text($x, $y, $txt)
     {
         parent::Text($x, $y, $this->lfConvSjis($txt));
     }
 
-    function Cell($w, $h=0, $txt='', $border=0, $ln=0, $align='', $fill=false, $link='')
+    public function Cell($w, $h=0, $txt='', $border=0, $ln=0, $align='', $fill=false, $link='')
     {
         parent::Cell($w, $h, $this->lfConvSjis($txt), $border, $ln, $align, $fill, $link);
@@ -106,5 +106,5 @@
 
     // 文字コードSJIS変換 -> japanese.phpで使用出来る文字コードはSJIS-winのみ
-    function lfConvSjis($conv_str)
+    public function lfConvSjis($conv_str)
     {
         if ($this->enable_conv_sjis) {
Index: /branches/version-2_13-dev/data/class/helper/SC_Helper_Delivery.php
===================================================================
--- /branches/version-2_13-dev/data/class/helper/SC_Helper_Delivery.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/helper/SC_Helper_Delivery.php	(revision 23124)
@@ -29,10 +29,11 @@
  * @version $Id:$
  */
-class SC_Helper_Delivery {
+class SC_Helper_Delivery
+{
     /**
      * 配送方法の情報を取得.
      *
-     * @param integer $deliv_id 配送方法ID
-     * @param boolean $has_deleted 削除された支払方法も含む場合 true; 初期値 false
+     * @param  integer $deliv_id    配送方法ID
+     * @param  boolean $has_deleted 削除された支払方法も含む場合 true; 初期値 false
      * @return array
      */
@@ -69,6 +70,6 @@
      * 配送方法一覧の取得.
      *
-     * @param integer $product_type_id 商品種別ID
-     * @param boolean $has_deleted 削除された支払方法も含む場合 true; 初期値 false
+     * @param  integer $product_type_id 商品種別ID
+     * @param  boolean $has_deleted     削除された支払方法も含む場合 true; 初期値 false
      * @return array
      */
@@ -99,5 +100,5 @@
      * 配送方法の登録.
      *
-     * @param array $sqlval
+     * @param  array   $sqlval
      * @return integer $deliv_id
      */
@@ -211,5 +212,5 @@
      * 配送方法の削除.
      *
-     * @param integer $deliv_id 配送方法ID
+     * @param  integer $deliv_id 配送方法ID
      * @return void
      */
@@ -224,5 +225,5 @@
      * 配送方法の表示順をひとつ上げる.
      *
-     * @param integer $deliv_id 配送方法ID
+     * @param  integer $deliv_id 配送方法ID
      * @return void
      */
@@ -236,5 +237,5 @@
      * 配送方法の表示順をひとつ下げる.
      *
-     * @param integer $deliv_id 配送方法ID
+     * @param  integer $deliv_id 配送方法ID
      * @return void
      */
@@ -248,5 +249,5 @@
      * 同じ内容の配送方法が存在するか確認.
      *
-     * @param array $arrDeliv
+     * @param  array   $arrDeliv
      * @return boolean
      */
@@ -267,5 +268,5 @@
      * 配送方法IDをキー, 名前を値とする配列を取得.
      *
-     * @param string $type 値のタイプ
+     * @param  string $type 値のタイプ
      * @return array
      */
@@ -278,6 +279,6 @@
      * 配送業者IDからお届け時間の配列を取得する.
      *
-     * @param integer $deliv_id 配送業者ID
-     * @return array お届け時間の配列
+     * @param  integer $deliv_id 配送業者ID
+     * @return array   お届け時間の配列
      */
     public static function getDelivTime($deliv_id)
@@ -297,6 +298,6 @@
      * 配送業者ID から, 有効な支払方法IDを取得する.
      *
-     * @param integer $deliv_id 配送業者ID
-     * @return array 有効な支払方法IDの配列
+     * @param  integer $deliv_id 配送業者ID
+     * @return array   有効な支払方法IDの配列
      */
     public static function getPayments($deliv_id)
@@ -311,7 +312,7 @@
      * 都道府県から配送料金を取得する.
      *
-     * @param integer|array $pref_id 都道府県ID 又は都道府県IDの配列
-     * @param integer $deliv_id 配送業者ID
-     * @return string 指定の都道府県, 配送業者の配送料金
+     * @param  integer|array $pref_id  都道府県ID 又は都道府県IDの配列
+     * @param  integer       $deliv_id 配送業者ID
+     * @return string        指定の都道府県, 配送業者の配送料金
      */
     public static function getDelivFee($pref_id, $deliv_id = 0)
@@ -341,6 +342,6 @@
      * 配送業者ID から, 配送料金の一覧を取得する.
      *
-     * @param integer $deliv_id 配送業者ID
-     * @return array 配送料金の配列
+     * @param  integer $deliv_id 配送業者ID
+     * @return array   配送料金の配列
      */
     public static function getDelivFeeList($deliv_id)
Index: /branches/version-2_13-dev/data/class/helper/SC_Helper_Session.php
===================================================================
--- /branches/version-2_13-dev/data/class/helper/SC_Helper_Session.php	(revision 22996)
+++ /branches/version-2_13-dev/data/class/helper/SC_Helper_Session.php	(revision 23124)
@@ -15,5 +15,5 @@
 class SC_Helper_Session
 {
-    var $objDb;
+    public $objDb;
 
     /**
@@ -22,5 +22,5 @@
      * 各関数をセッションハンドラに保存する
      */
-    function __construct()
+    public function __construct()
     {
         $this->objDb = new SC_Helper_DB_Ex();
@@ -40,9 +40,9 @@
      * セッションを開始する.
      *
-     * @param string $save_path セッションを保存するパス(使用しない)
-     * @param string $session_name セッション名(使用しない)
-     * @return bool セッションが正常に開始された場合 true
-     */
-    function sfSessOpen($save_path, $session_name)
+     * @param  string $save_path    セッションを保存するパス(使用しない)
+     * @param  string $session_name セッション名(使用しない)
+     * @return bool   セッションが正常に開始された場合 true
+     */
+    public function sfSessOpen($save_path, $session_name)
     {
         return true;
@@ -54,5 +54,5 @@
      * @return bool セッションが正常に終了した場合 true
      */
-    function sfSessClose()
+    public function sfSessClose()
     {
         return true;
@@ -62,8 +62,8 @@
      * セッションのデータをDBから読み込む.
      *
-     * @param string $id セッションID
+     * @param  string $id セッションID
      * @return string セッションデータの値
      */
-    function sfSessRead($id)
+    public function sfSessRead($id)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -79,9 +79,9 @@
      * セッションのデータをDBに書き込む.
      *
-     * @param string $id セッションID
-     * @param string $sess_data セッションデータの値
-     * @return bool セッションの書き込みに成功した場合 true
-     */
-    function sfSessWrite($id, $sess_data)
+     * @param  string $id        セッションID
+     * @param  string $sess_data セッションデータの値
+     * @return bool   セッションの書き込みに成功した場合 true
+     */
+    public function sfSessWrite($id, $sess_data)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -112,8 +112,8 @@
      * セッションを破棄する.
      *
-     * @param string $id セッションID
-     * @return bool セッションを正常に破棄した場合 true
-     */
-    function sfSessDestroy($id)
+     * @param  string $id セッションID
+     * @return bool   セッションを正常に破棄した場合 true
+     */
+    public function sfSessDestroy($id)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -130,5 +130,5 @@
      * @param integer $maxlifetime セッションの有効期限(使用しない)
      */
-    function sfSessGc($maxlifetime)
+    public function sfSessGc($maxlifetime)
     {
         // MAX_LIFETIME以上更新されていないセッションを削除する。
@@ -159,5 +159,5 @@
      * @return string トランザクショントークンの文字列
      */
-    function getToken()
+    public function getToken()
     {
         if (empty($_SESSION[TRANSACTION_ID_NAME])) {
@@ -174,5 +174,5 @@
      * @return string トランザクショントークン用の文字列
      */
-    function createToken()
+    public function createToken()
     {
         return sha1(uniqid(rand(), true));
@@ -197,5 +197,5 @@
      * @return boolean トランザクショントークンが有効な場合 true
      */
-    function isValidToken($is_unset = false)
+    public function isValidToken($is_unset = false)
     {
         // token の妥当性チェック
@@ -214,5 +214,5 @@
      * @return void
      */
-    function destroyToken()
+    public function destroyToken()
     {
         unset($_SESSION[TRANSACTION_ID_NAME]);
@@ -226,5 +226,5 @@
      * @return void
      */
-    function adminAuthorization()
+    public function adminAuthorization()
     {
         if (($script_path = realpath($_SERVER['SCRIPT_FILENAME'])) !== FALSE) {
Index: /branches/version-2_13-dev/data/class/helper/SC_Helper_TaxRule.php
===================================================================
--- /branches/version-2_13-dev/data/class/helper/SC_Helper_TaxRule.php	(revision 23088)
+++ /branches/version-2_13-dev/data/class/helper/SC_Helper_TaxRule.php	(revision 23124)
@@ -34,8 +34,8 @@
      * 設定情報に基づいて税金付与した金額を返す
      *
-     * @param integer $price 計算対象の金額
+     * @param  integer $price 計算対象の金額
      * @return integer 税金付与した金額
      */
-    function sfCalcIncTax($price, $product_id = 0, $product_class_id = 0, $pref_id =0, $country_id = 0)
+    public function sfCalcIncTax($price, $product_id = 0, $product_class_id = 0, $pref_id =0, $country_id = 0)
     {
         return $price + SC_Helper_TaxRule_Ex::sfTax($price, $product_id, $product_class_id, $pref_id, $country_id);
@@ -45,8 +45,8 @@
      * 設定情報に基づいて税金の金額を返す
      *
-     * @param integer $price 計算対象の金額
+     * @param  integer $price 計算対象の金額
      * @return integer 税金した金額
      */
-    function sfTax($price, $product_id = 0, $product_class_id = 0, $pref_id =0, $country_id = 0)
+    public function sfTax($price, $product_id = 0, $product_class_id = 0, $pref_id =0, $country_id = 0)
     {
         $arrTaxRule = SC_Helper_TaxRule_Ex::getTaxRule($product_id, $product_class_id, $pref_id, $country_id);
@@ -59,8 +59,8 @@
      * (受注データのようにルールが決まっている場合用)
      *
-     * @param integer $price 計算対象の金額
+     * @param  integer $price 計算対象の金額
      * @return integer 税金付与した金額
      */
-    function calcIncTaxFromRuleId($price, $tax_rule_id = 0)
+    public function calcIncTaxFromRuleId($price, $tax_rule_id = 0)
     {
         return $price + SC_Helper_TaxRule_Ex::calcTaxFromRuleId($price, $tax_rule_id);
@@ -71,24 +71,24 @@
      * (受注データのようにルールが決まっている場合用)
      *
+     * @param  integer $price 計算対象の金額
+     * @return integer 税金した金額
+     */
+    public function calcTaxFromRuleId($price, $tax_rule_id = 0)
+    {
+        $arrTaxRule = SC_Helper_TaxRule_Ex::getTaxRuleData($tax_rule_id);
+
+        return SC_Helper_TaxRule_Ex::calcTax($price, $arrTaxRule['tax_rate'], $arrTaxRule['tax_rule'], $arrTaxRule['tax_adjust']);
+    }
+
+    /**
+     * 税金額を計算する
+     *
      * @param integer $price 計算対象の金額
-     * @return integer 税金した金額
-     */
-    function calcTaxFromRuleId($price, $tax_rule_id = 0)
-    {
-        $arrTaxRule = SC_Helper_TaxRule_Ex::getTaxRuleData($tax_rule_id);
-
-        return SC_Helper_TaxRule_Ex::calcTax($price, $arrTaxRule['tax_rate'], $arrTaxRule['tax_rule'], $arrTaxRule['tax_adjust']);
-    }
-
-    /**
-     * 税金額を計算する
-     *
-     * @param integer $price 計算対象の金額
-     * @param integer $tax 税率(%単位)
+     * @param integer $tax   税率(%単位)
      *     XXX integer のみか不明
-     * @param integer $tax_rule 端数処理
+     * @param  integer $tax_rule 端数処理
      * @return integer 税金額
      */
-    function calcTax ($price, $tax, $calc_rule, $tax_adjust = 0)
+    public function calcTax ($price, $tax, $calc_rule, $tax_adjust = 0)
     {
         $real_tax = $tax / 100;
@@ -119,8 +119,8 @@
      * 現在有効な税金設定情報を返す
      *
-     * @param integer $price 計算対象の金額
-     * @return array 税設定情報
-     */
-    function getTaxRule ($product_id = 0, $product_class_id = 0, $pref_id = 0, $country_id = 0)
+     * @param  integer $price 計算対象の金額
+     * @return array   税設定情報
+     */
+    public function getTaxRule ($product_id = 0, $product_class_id = 0, $pref_id = 0, $country_id = 0)
     {
         // 初期化
@@ -214,13 +214,13 @@
      * 税金設定情報を登録する（商品管理用）
      *
-     * @param decimal $tax_rate 消費税率
-     * @param integer $product_id 商品ID
-     * @param integer $product_class_id 商品規格ID
-     * @param decimal $tax_adjust 消費税加算額
-     * @param integer $pref_id 県ID
-     * @param integer $country_id 国ID
+     * @param  decimal $tax_rate         消費税率
+     * @param  integer $product_id       商品ID
+     * @param  integer $product_class_id 商品規格ID
+     * @param  decimal $tax_adjust       消費税加算額
+     * @param  integer $pref_id          県ID
+     * @param  integer $country_id       国ID
      * @return void
      */
-    function setTaxRuleForProduct($tax_rate, $product_id = 0, $product_class_id = 0, $tax_adjust=0, $pref_id = 0, $country_id = 0)
+    public function setTaxRuleForProduct($tax_rate, $product_id = 0, $product_class_id = 0, $tax_adjust=0, $pref_id = 0, $country_id = 0)
     {
         // 基本設定を取得
@@ -228,5 +228,5 @@
 
         // 基本設定の消費税率と一緒であれば設定しない
-        if( $arrRet['tax_rate'] != $tax_rate ) {
+        if ($arrRet['tax_rate'] != $tax_rate) {
             // 課税規則は基本設定のものを使用
             $calc_rule = $arrRet['calc_rule'];
@@ -244,5 +244,5 @@
      * @return
      */
-    function setTaxRule($calc_rule, $tax_rate, $apply_date, $tax_rule_id=NULL, $tax_adjust=0, $product_id = 0, $product_class_id = 0, $pref_id = 0, $country_id = 0)
+    public function setTaxRule($calc_rule, $tax_rate, $apply_date, $tax_rule_id=NULL, $tax_adjust=0, $product_id = 0, $product_class_id = 0, $pref_id = 0, $country_id = 0)
     {
         $table = 'dtb_tax_rule';
@@ -257,5 +257,5 @@
         // 新規か更新か？
         $objQuery =& SC_Query_Ex::getSingletonInstance();
-        if($tax_rule_id == NULL && $product_id != 0 && $product_class_id != 0){
+        if ($tax_rule_id == NULL && $product_id != 0 && $product_class_id != 0) {
             $where = 'product_id = ? AND product_class_id= ? AND pref_id = ? AND country_id = ?';
             $arrVal = array($product_id, $product_class_id, $pref_id, $country_id);
@@ -264,5 +264,5 @@
         }
 
-        if($tax_rule_id == NULL) {
+        if ($tax_rule_id == NULL) {
             // 税情報を新規
             // INSERTの実行
@@ -282,5 +282,5 @@
     }
 
-    function getTaxRuleList($has_deleted = false)
+    public function getTaxRuleList($has_deleted = false)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -298,5 +298,5 @@
     }
 
-    function getTaxRuleData($tax_rule_id, $has_deleted = false)
+    public function getTaxRuleData($tax_rule_id, $has_deleted = false)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -309,5 +309,5 @@
     }
 
-    function getTaxRuleByTime($apply_date, $has_deleted = false)
+    public function getTaxRuleByTime($apply_date, $has_deleted = false)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -324,8 +324,8 @@
      * 税規約の削除.
      *
-     * @param integer $tax_rule_id 税規約ID
+     * @param  integer $tax_rule_id 税規約ID
      * @return void
      */
-    function deleteTaxRuleData($tax_rule_id)
+    public function deleteTaxRuleData($tax_rule_id)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
